
1. Running the tests

> python test-suite.py

The script will go through each blend file, generate GCode for all operations and compare the results with the reference.


2. Creating new tests

> cd test_data
> mkdir name_of_your_test
> cd name_of_your_test
> blender name_of_your_blend_file (can be the same name as the subdirectory)

- Create as many operations as necessary using BlenderCAM. Do not add operations that need a
long calculation time unless absolutely necessary, as they will be executed everytime the
tests are run.

- Generate the corresponding GCode with "Calculate Path and export GCode" for every operation.

-Rename the generated files by adding an underscore at the beginning. This will make them
become the reference result files.
> mv Op1.gcode _Op1.gcode

- Save the blender file

- Commit and push


